if (!defined &_SYS_KBD_H) {
    eval 'sub _SYS_KBD_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub KB_KLUNK {0x00;}';
    eval 'sub KB_VT100 {0x01;}';
    eval 'sub KB_SUN2 {0x02;}';
    eval 'sub KB_VT220 {0x81;}';
    eval 'sub KB_VT220I {0x82;}';
    eval 'sub NOTPRESENT {0xFF;}';
    eval 'sub KBD_CMD_LED1 {0x04;}';
    eval 'sub KBD_CMD_NOLED1 {0x05;}';
    eval 'sub KBD_CMD_LED2 {0x06;}';
    eval 'sub KBD_CMD_NOLED2 {0x07;}';
    eval 'sub CTLSMASK {0x0100;}';
    eval 'sub NOSCROLL {0x303;}';
    eval 'sub CTRLS {0x304;}';
    eval 'sub CTRLQ {0x305;}';
    eval 'sub KB_SUN3 {3;}';
    eval 'sub KB_SUN4 {4;}';
    eval 'sub KB_PC {101;}';
    eval 'sub KB_ASCII {0x0F;}';
    eval 'sub IDLEKEY {0x7F;}';
    eval 'sub ERRORKEY {0x7E;}';
    eval 'sub RESETKEY {0xFF;}';
    eval 'sub LAYOUTKEY {0xFE;}';
    if (defined( &prep)) {
	eval 'sub KBD_PRESSED_PREFIX {0x01;}';
	eval 'sub KBD_RELEASED_PREFIX {0x02;}';
	eval 'sub PRESSED {0x0000;}';
	eval 'sub RELEASED {0x0100;}';
    }
    else {
	eval 'sub PRESSED {0x00;}';
	eval 'sub RELEASED {0x80;}';
    }
    eval 'sub KBD_CMD_RESET {0x01;}';
    eval 'sub KBD_CMD_BELL {0x02;}';
    eval 'sub KBD_CMD_NOBELL {0x03;}';
    eval 'sub KBD_CMD_CLICK {0x0A;}';
    eval 'sub KBD_CMD_NOCLICK {0x0B;}';
    eval 'sub KBD_CMD_AUTOTEST {0x0C;}';
    eval 'sub KBD_CMD_SETLED {0x0E;}';
    eval 'sub KBD_CMD_GETLAYOUT {0x0F;}';
    eval 'sub LED_NUM_LOCK {0x1;}';
    eval 'sub LED_COMPOSE {0x2;}';
    eval 'sub LED_SCROLL_LOCK {0x4;}';
    eval 'sub LED_CAPS_LOCK {0x8;}';
    eval 'sub LED_KANA {0x10;}';
    eval 'sub NORMAL {0;}';
    eval 'sub ABORT1 {1;}';
    eval 'sub COMPOSE1 {2;}';
    eval 'sub COMPOSE2 {3;}';
    eval 'sub FLTACCENT {4;}';
    eval 'sub ASCII_SET_SIZE {128;}';
    eval 'sub TR_NONE {0;}';
    eval 'sub TR_ASCII {1;}';
    eval 'sub TR_EVENT {2;}';
    eval 'sub TR_UNTRANS_EVENT {3;}';
    eval 'sub BUILDKEY {
        local($key, $state) = @_;
        eval "($key | $state)";
    }';
    eval 'sub STATEOF {
        local($key) = @_;
        eval "(($key) &  &RELEASED)";
    }';
    eval 'sub KEYOF {
        local($key) = @_;
        eval "(($key) & ~ &RELEASED)";
    }';
    eval 'sub NOKEY {(-1);}';
    eval 'sub METABIT {0;}';
    eval 'sub METAMASK {0x000080;}';
    eval 'sub SYSTEMBIT {1;}';
    eval 'sub SYSTEMMASK {0x000100;}';
    eval 'sub CAPSLOCK {0;}';
    eval 'sub CAPSMASK {0x0001;}';
    eval 'sub SHIFTLOCK {1;}';
    eval 'sub LEFTSHIFT {2;}';
    eval 'sub RIGHTSHIFT {3;}';
    eval 'sub SHIFTMASK {0x000E;}';
    eval 'sub LEFTCTRL {4;}';
    eval 'sub RIGHTCTRL {5;}';
    eval 'sub CTRLMASK {0x0030;}';
    eval 'sub ALTGRAPH {9;}';
    eval 'sub ALTGRAPHMASK {0x0200;}';
    eval 'sub ALT {10;}';
    eval 'sub ALTMASK {0x0400;}';
    eval 'sub NUMLOCK {11;}';
    eval 'sub NUMLOCKMASK {0x0800;}';
    eval 'sub UPMASK {0x0080;}';
    if (defined( &prep)) {
	eval 'sub KEYMAP_SIZE {136;}';
    }
    else {
	eval 'sub KEYMAP_SIZE {128;}';
    }
    eval 'sub SHIFTKEYS {0x100;}';
    eval 'sub BUCKYBITS {0x200;}';
    eval 'sub FUNNY {0x300;}';
    eval 'sub NOP {0x300;}';
    eval 'sub OOPS {0x301;}';
    eval 'sub HOLE {0x302;}';
    eval 'sub RESET {0x306;}';
    eval 'sub ERROR {0x307;}';
    eval 'sub IDLE {0x308;}';
    eval 'sub COMPOSE {0x309;}';
    eval 'sub NONL {0x30A;}';
    eval 'sub FA_CLASS {0x400;}';
    eval 'sub FA_UMLAUT {0x400;}';
    eval 'sub FA_CFLEX {0x401;}';
    eval 'sub FA_TILDE {0x402;}';
    eval 'sub FA_CEDILLA {0x403;}';
    eval 'sub FA_ACUTE {0x404;}';
    eval 'sub FA_GRAVE {0x405;}';
    eval 'sub STRING {0x500;}';
    eval 'sub KTAB_STRLEN {10;}';
    eval 'sub HOMEARROW {0x00;}';
    eval 'sub UPARROW {0x01;}';
    eval 'sub DOWNARROW {0x02;}';
    eval 'sub LEFTARROW {0x03;}';
    eval 'sub RIGHTARROW {0x04;}';
    eval 'sub FUNCKEYS {0x600;}';
    eval 'sub LEFTFUNC {0x600;}';
    eval 'sub RIGHTFUNC {0x610;}';
    eval 'sub TOPFUNC {0x620;}';
    eval 'sub BOTTOMFUNC {0x630;}';
    eval 'sub LF {
        local($n) = @_;
        eval "( &LEFTFUNC+($n)-1)";
    }';
    eval 'sub RF {
        local($n) = @_;
        eval "( &RIGHTFUNC+($n)-1)";
    }';
    eval 'sub TF {
        local($n) = @_;
        eval "( &TOPFUNC+($n)-1)";
    }';
    eval 'sub BF {
        local($n) = @_;
        eval "( &BOTTOMFUNC+($n)-1)";
    }';
    eval 'sub PADKEYS {0x700;}';
    eval 'sub PADEQUAL {0x700;}';
    eval 'sub PADSLASH {0x701;}';
    eval 'sub PADSTAR {0x702;}';
    eval 'sub PADMINUS {0x703;}';
    eval 'sub PADSEP {0x704;}';
    eval 'sub PAD7 {0x705;}';
    eval 'sub PAD8 {0x706;}';
    eval 'sub PAD9 {0x707;}';
    eval 'sub PADPLUS {0x708;}';
    eval 'sub PAD4 {0x709;}';
    eval 'sub PAD5 {0x70A;}';
    eval 'sub PAD6 {0x70B;}';
    eval 'sub PAD1 {0x70C;}';
    eval 'sub PAD2 {0x70D;}';
    eval 'sub PAD3 {0x70E;}';
    eval 'sub PAD0 {0x70F;}';
    eval 'sub PADDOT {0x710;}';
    eval 'sub PADENTER {0x711;}';
    if (defined &__cplusplus) {
    }
}
1;
