if (!defined &_SYS_MACHPARAM_H) {
    eval 'sub _SYS_MACHPARAM_H {1;}';
    require 'sys/types.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub NCPU {21;}';
    eval 'sub HZ {100;}';
    eval 'sub TICK {10000000;}';
    eval 'sub MMU_PAGESIZE {0x1000;}';
    eval 'sub MMU_PAGESHIFT {12;}';
    eval 'sub MMU_PAGEOFFSET {( &MMU_PAGESIZE-1);}';
    eval 'sub MMU_PAGEMASK {(~ &MMU_PAGEOFFSET);}';
    eval 'sub PAGESIZE {0x1000;}';
    eval 'sub PAGESHIFT {12;}';
    eval 'sub PAGEOFFSET {( &PAGESIZE - 1);}';
    eval 'sub PAGEMASK {(~ &PAGEOFFSET);}';
    eval 'sub DATA_ALIGN { &PAGESIZE;}';
    eval 'sub DEFAULTSTKSZ {2* &PAGESIZE;}';
    eval 'sub KERNELSIZE {(512*1024*1024);}';
    eval 'sub KERNELBASE {(0- &KERNELSIZE);}';
    eval 'sub USERLIMIT { &KERNELBASE;}';
    eval 'sub KERNELSHADOW_VADDR {( &KERNELBASE -  &KERNELSIZE);}';
    eval 'sub SYSBASE {(0-(172*1024*1024));}';
    eval 'sub SYSLIMIT {(0-(16*1024*1024));}';
    eval 'sub ARGSBASE { &SYSLIMIT;}';
    eval 'sub T_STACKSZ {2* &PAGESIZE;}';
    eval 'sub MSG_BSIZE {((8 * 1024) - $sizeof{\'struct msgbuf_hd\'});}';
    eval 'sub NBPG { &MMU_PAGESIZE;}';
    eval 'sub PGOFSET { &MMU_PAGEOFFSET;}';
    eval 'sub PGSHIFT { &MMU_PAGESHIFT;}';
    eval 'sub CLSIZE {1;}';
    eval 'sub CLSIZELOG2 {0;}';
    eval 'sub CLBYTES { &PAGESIZE;}';
    eval 'sub CLOFSET { &PAGEOFFSET;}';
    eval 'sub CLSHIFT { &PAGESHIFT;}';
    eval 'sub clrnd {
        local($i) = @_;
        eval "($i)";
    }';
    eval 'sub BTISA {1;}';
    eval 'sub BTEISA {2;}';
    eval 'sub BTMCA {3;}';
    if (defined &__cplusplus) {
    }
}
1;
