if (!defined &_SYS_MSE_H) {
    eval 'sub _SYS_MSE_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub MAX_MSE_UNIT {15;}';
    eval 'sub DATA_PORT { &BASE_IOA;}';
    eval 'sub SIGNATURE_PORT { &BASE_IOA + 1;}';
    eval 'sub INTERRUPT_PORT { &BASE_IOA + 2;}';
    eval 'sub CONTROL_PORT { &BASE_IOA + 2;}';
    eval 'sub CONFIGURATOR_PORT { &BASE_IOA + 3;}';
    eval 'sub INTR_DISABLE {0x10;}';
    eval 'sub HIGH_NIBBLE {0x20;}';
    eval 'sub LOW_NIBBLE {0x00;}';
    eval 'sub X_COUNTER {0x00;}';
    eval 'sub Y_COUNTER {0x40;}';
    eval 'sub HC {0x80;}';
    eval 'sub data_port {( &inb( &DATA_PORT) & 0xef);}';
    eval 'sub control_port {
        local($x) = @_;
        eval "( &outb( &CONTROL_PORT, ($x)))";
    }';
    eval 'sub MOUSE1 {0x23c;}';
    eval 'sub MOUSE2 {0x238;}';
    eval 'sub ADDRREG {0;}';
    eval 'sub DATAREG {1;}';
    eval 'sub IDENTREG {2;}';
    eval 'sub TESTREG {3;}';
    eval 'sub REGSEL {7;}';
    eval 'sub MSTATUS {0;}';
    eval 'sub DATA1 {1;}';
    eval 'sub DATA2 {2;}';
    eval 'sub DATA3 {3;}';
    eval 'sub DATA4 {4;}';
    eval 'sub ISTATUS {5;}';
    eval 'sub ICNTRL {6;}';
    eval 'sub MODE {7;}';
    eval 'sub TESTEN {0x40;}';
    eval 'sub RESET {0x80;}';
    eval 'sub SIGN {0xde;}';
    eval 'sub VERS {
        local($x) = @_;
        eval "((($x) >> 4) & 15)";
    }';
    eval 'sub REV {
        local($x) = @_;
        eval "(($x) & 15)";
    }';
    eval 'sub SW3 {1;}';
    eval 'sub SW2 {2;}';
    eval 'sub SW1 {4;}';
    eval 'sub XA {0x10;}';
    eval 'sub XB {0x20;}';
    eval 'sub YA {0x40;}';
    eval 'sub YB {0x80;}';
    eval 'sub RATEMASK {7;}';
    eval 'sub HZ0NOINTR {0;}';
    eval 'sub HZ30 {1;}';
    eval 'sub HZ50 {2;}';
    eval 'sub HZ100 {3;}';
    eval 'sub HZ200 {4;}';
    eval 'sub HZ0INTR {6;}';
    eval 'sub HZEXT {7;}';
    eval 'sub DATAINT {8;}';
    eval 'sub TIMERINT {0x10;}';
    eval 'sub HOLD {0x20;}';
    eval 'sub QUADMODE {0;}';
    eval 'sub SYNCHMODE {0x40;}';
    eval 'sub ASYNMODE {0x80;}';
    eval 'sub DIRMODE {0xc0;}';
    eval 'sub MSE_UNIT {
        local($dev) = @_;
        eval "( &getminor($dev) % 15)";
    }';
    eval 'sub MSE_MINOR {
        local($unit, $vt) = @_;
        eval "(((($vt) & 7) << 5) | ((($vt) & 8) << 1) | ($unit))";
    }';
    eval 'sub DISP_UNIT {
        local($dev) = @_;
        eval "( &getminor($dev) / 15)";
    }';
    eval 'sub MSE_CLONE { &MSE_MINOR(0,  &VTMAX);}';
    eval 'sub MSE_MON { &MSE_MINOR(1,  &VTMAX);}';
    eval 'sub MSE_CFG { &MSE_MINOR(2,  &VTMAX);}';
    eval 'sub SNDERR {0xfe;}';
    eval 'sub FAILED {(-1);}';
    eval 'sub MSE_3_BUTTON {3;}';
    eval 'sub MSE_DEFAULT {4;}';
    if (defined &_KERNEL) {
    }
    eval 'sub BUS_MAJOR {0;}';
    eval 'sub MCA_MAJOR {1;}';
    eval 'sub MBUS {1;}';
    eval 'sub M320 {2;}';
    eval 'sub MSERIAL {3;}';
    eval 'sub MSE_MGR_OPEN {1;}';
    eval 'sub MSE_MGR_CLOSE {2;}';
    eval 'sub MSE_MGR_LCLOSE {4;}';
    eval 'sub MGR_WAITING {8;}';
    eval 'sub MOUSE_INFO {((ord(\'M\'<<16)|(\'I\')<<8)|99);}';
    eval 'sub MSE_OUT {0x60;}';
    eval 'sub MSE_IDAT {0x60;}';
    eval 'sub MSE_STAT {0x64;}';
    eval 'sub MSE_ICMD {0x64;}';
    eval 'sub LEFT {0200;}';
    eval 'sub MIDDLE {0100;}';
    eval 'sub RIGHT {0040;}';
    if (defined &__cplusplus) {
    }
}
1;
