if (!defined &_NETINET_IF_ETHER_H) {
    eval 'sub _NETINET_IF_ETHER_H {1;}';
    require 'net/if_arp.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub ETHERTYPE_PUP {0x0200;}';
    eval 'sub ETHERTYPE_IP {0x0800;}';
    eval 'sub ETHERTYPE_ARP {0x0806;}';
    eval 'sub ETHERTYPE_REVARP {0x8035;}';
    eval 'sub ETHERTYPE_TRAIL {0x1000;}';
    eval 'sub ETHERTYPE_NTRAILER {16;}';
    eval 'sub ETHERMTU {1500;}';
    eval 'sub ETHERMIN {(60-14);}';
    eval 'sub arp_hrd { &ea_hdr. &ar_hrd;}';
    eval 'sub arp_pro { &ea_hdr. &ar_pro;}';
    eval 'sub arp_hln { &ea_hdr. &ar_hln;}';
    eval 'sub arp_pln { &ea_hdr. &ar_pln;}';
    eval 'sub arp_op { &ea_hdr. &ar_op;}';
    eval 'sub MCADDRMAX {64;}';
    eval 'sub MCCOUNTMAX {4096;}';
    eval 'sub at_enaddr { &at_union. &atu_enaddr;}';
    eval 'sub at_tvsec { &at_union. &atu_tvsec;}';
    if (defined( &sparc) || defined( &__sparc)) {
	eval 'sub ether_cmp {
	    local($a, $b) = @_;
	    eval "(($b)[2] != ($a)[2] || ($b)[1] != ($a)[1] || ($b)[0] != ($a)[0])";
	}';
    }
    else {
	eval 'sub ether_cmp {
	    local($a, $b) = @_;
	    eval "( &bcmp(( &caddr_t)$a, ( &caddr_t)$b, 6))";
	}';
    }
    if (defined( &sparc) || defined( &__sparc)) {
	eval 'sub ether_copy {
	    local($a, $b) = @_;
	    eval "{ ($b)[0] = ($a)[0]; ($b)[1] = ($a)[1]; ($b)[2] = ($a)[2]; }";
	}';
    }
    else {
	eval 'sub ether_copy {
	    local($a, $b) = @_;
	    eval "( &bcopy(( &caddr_t)$a, ( &caddr_t)$b, 6))";
	}';
    }
    if (defined( &sparc) || defined( &__sparc)) {
	eval 'sub ip_copy {
	    local($a, $b) = @_;
	    eval "{ ($b)[0] = ($a)[0]; ($b)[1] = ($a)[1]; }";
	}';
    }
    else {
	eval 'sub ip_copy {
	    local($a, $b) = @_;
	    eval "( &bcopy(( &caddr_t)$a, ( &caddr_t)$b, 4))";
	}';
    }
    if (defined &__cplusplus) {
    }
}
1;
