if (!defined &_SYS_MMAN_H) {
    eval 'sub _SYS_MMAN_H {1;}';
    require 'sys/feature_tests.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub PROT_READ {0x1;}';
    eval 'sub PROT_WRITE {0x2;}';
    eval 'sub PROT_EXEC {0x4;}';
    if (defined &_KERNEL) {
	eval 'sub PROT_USER {0x8;}';
	if (defined( &__ppc)) {
	    eval 'sub PROT_ZFOD {( &PROT_READ |  &PROT_WRITE |  &PROT_USER);}';
	}
	elsif (defined( &__sparc) || defined( &sparc) || defined( &__i386) || defined( &i386)) {
	    eval 'sub PROT_ZFOD {( &PROT_READ |  &PROT_WRITE |  &PROT_EXEC |  &PROT_USER);}';
	}
	else {
	}
	eval 'sub PROT_ALL {( &PROT_READ |  &PROT_WRITE |  &PROT_EXEC |  &PROT_USER);}';
    }
    eval 'sub PROT_NONE {0x0;}';
    eval 'sub MAP_SHARED {1;}';
    eval 'sub MAP_PRIVATE {2;}';
    eval 'sub MAP_TYPE {0xf;}';
    eval 'sub MAP_FIXED {0x10;}';
    eval 'sub MAP_NORESERVE {0x40;}';
    eval 'sub MAP_RENAME {0x20;}';
    if (( &_POSIX_C_SOURCE <= 2)) {
	eval 'sub PROC_TEXT {( &PROT_EXEC |  &PROT_READ);}';
	eval 'sub PROC_DATA {( &PROT_READ |  &PROT_WRITE |  &PROT_EXEC);}';
	eval 'sub SHARED {0x10;}';
	eval 'sub PRIVATE {0x20;}';
	if (defined &_KERNEL) {
	    eval 'sub PROT_EXCL {0x20;}';
	}
	eval 'sub VALID_ATTR {( &PROT_READ| &PROT_WRITE| &PROT_EXEC| &SHARED| &PRIVATE);}';
	if (defined &notdef) {
	    eval 'sub MAP_INHERIT {0x80;}';
	}
	eval 'sub _MAP_NEW {0x80000000;}';
    }
    if (!defined( &_ASM) && !defined( &_KERNEL)) {
	require 'sys/types.ph';
	if (defined &__STDC__) {
	    if (( &_POSIX_C_SOURCE > 2)) {
	    }
	    else {
	    }
	    eval 'sub MAP_FAILED {(( &void *) -1);}';
	}
	else {
	}
    }
    if (( &_POSIX_C_SOURCE <= 2)) {
	eval 'sub MADV_NORMAL {0;}';
	eval 'sub MADV_RANDOM {1;}';
	eval 'sub MADV_SEQUENTIAL {2;}';
	eval 'sub MADV_WILLNEED {3;}';
	eval 'sub MADV_DONTNEED {4;}';
    }
    eval 'sub MS_SYNC {0x0;}';
    eval 'sub MS_ASYNC {0x1;}';
    eval 'sub MS_INVALIDATE {0x2;}';
    if (( &_POSIX_C_SOURCE <= 2)) {
	eval 'sub MC_SYNC {1;}';
	eval 'sub MC_LOCK {2;}';
	eval 'sub MC_UNLOCK {3;}';
	eval 'sub MC_ADVISE {4;}';
	eval 'sub MC_LOCKAS {5;}';
	eval 'sub MC_UNLOCKAS {6;}';
    }
    eval 'sub MCL_CURRENT {0x1;}';
    eval 'sub MCL_FUTURE {0x2;}';
    if (defined &__cplusplus) {
    }
}
1;
