if (!defined &_SYS_TERMIOS_H) {
    eval 'sub _SYS_TERMIOS_H {1;}';
    require 'sys/feature_tests.ph';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	require 'sys/ttydev.ph';
    }
    require 'sys/types.ph';
    if (defined &__cplusplus) {
    }
    if (!defined &_POSIX_VDISABLE) {
	eval 'sub _POSIX_VDISABLE {0;}';
    }
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub CTRL {
	    local($c) = @_;
	    eval "(($c)&037)";
	}';
	eval 'sub IBSHIFT {16;}';
	eval 'sub NCC {8;}';
    }
    eval 'sub NCCS {19;}';
    if (!defined &_KERNEL) {
	if (defined( &__STDC__)) {
	}
	else {
	}
	if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	    if (defined( &__STDC__)) {
	    }
	    else {
	    }
	}
    }
    eval 'sub VINTR {0;}';
    eval 'sub VQUIT {1;}';
    eval 'sub VERASE {2;}';
    eval 'sub VKILL {3;}';
    eval 'sub VEOF {4;}';
    eval 'sub VEOL {5;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub VEOL2 {6;}';
    }
    eval 'sub VMIN {4;}';
    eval 'sub VTIME {5;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub VSWTCH {7;}';
    }
    eval 'sub VSTART {8;}';
    eval 'sub VSTOP {9;}';
    eval 'sub VSUSP {10;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub VDSUSP {11;}';
	eval 'sub VREPRINT {12;}';
	eval 'sub VDISCARD {13;}';
	eval 'sub VWERASE {14;}';
	eval 'sub VLNEXT {15;}';
	eval 'sub VCEOF { &NCC;}';
	eval 'sub VCEOL {( &NCC + 1);}';
	eval 'sub CNUL {0;}';
	eval 'sub CDEL {0177;}';
	eval 'sub CESC {ord(\'\\\\\');}';
	eval 'sub CINTR { &CTRL(ord(\'c\'));}';
	eval 'sub CQUIT {034;}';
	eval 'sub CERASE {0177;}';
	eval 'sub CKILL { &CTRL(ord(\'u\'));}';
	eval 'sub CEOT {04;}';
	eval 'sub CEOL {0;}';
	eval 'sub CEOL2 {0;}';
	eval 'sub CEOF {04;}';
	eval 'sub CSTART {021;}';
	eval 'sub CSTOP {023;}';
	eval 'sub CSWTCH {032;}';
	eval 'sub CNSWTCH {0;}';
	eval 'sub CSUSP { &CTRL(ord(\'z\'));}';
	eval 'sub CDSUSP { &CTRL(ord(\'y\'));}';
	eval 'sub CRPRNT { &CTRL(ord(\'r\'));}';
	eval 'sub CFLUSH { &CTRL(ord(\'o\'));}';
	eval 'sub CWERASE { &CTRL(ord(\'w\'));}';
	eval 'sub CLNEXT { &CTRL(ord(\'v\'));}';
    }
    eval 'sub IGNBRK {0000001;}';
    eval 'sub BRKINT {0000002;}';
    eval 'sub IGNPAR {0000004;}';
    eval 'sub PARMRK {0000010;}';
    eval 'sub INPCK {0000020;}';
    eval 'sub ISTRIP {0000040;}';
    eval 'sub INLCR {0000100;}';
    eval 'sub IGNCR {0000200;}';
    eval 'sub ICRNL {0000400;}';
    if (!defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE) || defined( &__EXTENSIONS__)) {
	eval 'sub IUCLC {0001000;}';
    }
    eval 'sub IXON {0002000;}';
    if (!defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE) || defined( &__EXTENSIONS__)) {
	eval 'sub IXANY {0004000;}';
    }
    eval 'sub IXOFF {0010000;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub IMAXBEL {0020000;}';
	eval 'sub DOSMODE {0100000;}';
    }
    eval 'sub OPOST {0000001;}';
    if (!defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE) || defined( &__EXTENSIONS__)) {
	eval 'sub OLCUC {0000002;}';
	eval 'sub ONLCR {0000004;}';
	eval 'sub OCRNL {0000010;}';
	eval 'sub ONOCR {0000020;}';
	eval 'sub ONLRET {0000040;}';
	eval 'sub OFILL {0000100;}';
	eval 'sub OFDEL {0000200;}';
	eval 'sub NLDLY {0000400;}';
	eval 'sub NL0 {0;}';
	eval 'sub NL1 {0000400;}';
	eval 'sub CRDLY {0003000;}';
	eval 'sub CR0 {0;}';
	eval 'sub CR1 {0001000;}';
	eval 'sub CR2 {0002000;}';
	eval 'sub CR3 {0003000;}';
	eval 'sub TABDLY {0014000;}';
	eval 'sub TAB0 {0;}';
	eval 'sub TAB1 {0004000;}';
	eval 'sub TAB2 {0010000;}';
	eval 'sub TAB3 {0014000;}';
    }
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub XTABS {0014000;}';
    }
    if (!defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE) || defined( &__EXTENSIONS__)) {
	eval 'sub BSDLY {0020000;}';
	eval 'sub BS0 {0;}';
	eval 'sub BS1 {0020000;}';
	eval 'sub VTDLY {0040000;}';
	eval 'sub VT0 {0;}';
	eval 'sub VT1 {0040000;}';
	eval 'sub FFDLY {0100000;}';
	eval 'sub FF0 {0;}';
	eval 'sub FF1 {0100000;}';
    }
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub PAGEOUT {0200000;}';
	eval 'sub WRAP {0400000;}';
	eval 'sub CBAUD {0000017;}';
    }
    eval 'sub CSIZE {0000060;}';
    eval 'sub CS5 {0;}';
    eval 'sub CS6 {0000020;}';
    eval 'sub CS7 {0000040;}';
    eval 'sub CS8 {0000060;}';
    eval 'sub CSTOPB {0000100;}';
    eval 'sub CREAD {0000200;}';
    eval 'sub PARENB {0000400;}';
    eval 'sub PARODD {0001000;}';
    eval 'sub HUPCL {0002000;}';
    eval 'sub CLOCAL {0004000;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub RCV1EN {0010000;}';
	eval 'sub XMT1EN {0020000;}';
	eval 'sub LOBLK {0040000;}';
	eval 'sub XCLUDE {0100000;}';
	eval 'sub CRTSXOFF {010000000000;}';
	eval 'sub CRTSCTS {020000000000;}';
	eval 'sub CIBAUD {03600000;}';
	eval 'sub PAREXT {04000000;}';
	eval 'sub CBAUDEXT {010000000;}';
	eval 'sub CIBAUDEXT {020000000;}';
	eval 'sub CRTS_IFLOW {010000000000;}';
	eval 'sub CCTS_OFLOW {020000000000;}';
    }
    eval 'sub ISIG {0000001;}';
    eval 'sub ICANON {0000002;}';
    if (!defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE) || defined( &__EXTENSIONS__)) {
	eval 'sub XCASE {0000004;}';
    }
    eval 'sub ECHO {0000010;}';
    eval 'sub ECHOE {0000020;}';
    eval 'sub ECHOK {0000040;}';
    eval 'sub ECHONL {0000100;}';
    eval 'sub NOFLSH {0000200;}';
    eval 'sub TOSTOP {0000400;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub ECHOCTL {0001000;}';
	eval 'sub ECHOPRT {0002000;}';
	eval 'sub ECHOKE {0004000;}';
	eval 'sub DEFECHO {0010000;}';
	eval 'sub FLUSHO {0020000;}';
	eval 'sub PENDIN {0040000;}';
    }
    eval 'sub IEXTEN {0100000;}';
    eval 'sub _TIOC {(ord(\'T\')<<8);}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub TIOC { &_TIOC;}';
	eval 'sub TCGETA {( &_TIOC|1);}';
	eval 'sub TCSETA {( &_TIOC|2);}';
	eval 'sub TCSETAW {( &_TIOC|3);}';
	eval 'sub TCSETAF {( &_TIOC|4);}';
	eval 'sub TCSBRK {( &_TIOC|5);}';
	eval 'sub TCXONC {( &_TIOC|6);}';
	eval 'sub TCFLSH {( &_TIOC|7);}';
	eval 'sub TIOCKBON {( &_TIOC|8);}';
	eval 'sub TIOCKBOF {( &_TIOC|9);}';
	eval 'sub KBENABLED {( &_TIOC|10);}';
	if (!defined &IOCTYPE) {
	    eval 'sub IOCTYPE {0xff00;}';
	}
	eval 'sub TCDSET {( &_TIOC|32);}';
	eval 'sub RTS_TOG {( &_TIOC|33);}';
	eval 'sub TIOCGWINSZ {( &_TIOC|104);}';
	eval 'sub TIOCSWINSZ {( &_TIOC|103);}';
	eval 'sub TIOCGSOFTCAR {( &_TIOC|105);}';
	eval 'sub TIOCSSOFTCAR {( &_TIOC|106);}';
	eval 'sub TCGETS {( &_TIOC|13);}';
	eval 'sub TCSETS {( &_TIOC|14);}';
    }
    eval 'sub TCSANOW {( &_TIOC|14);}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub TCSETSW {( &_TIOC|15);}';
    }
    eval 'sub TCSADRAIN {( &_TIOC|15);}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub TCSETSF {( &_TIOC|16);}';
    }
    eval 'sub TCSAFLUSH {( &_TIOC|16);}';
    eval 'sub TCIFLUSH {0;}';
    eval 'sub TCOFLUSH {1;}';
    eval 'sub TCIOFLUSH {2;}';
    eval 'sub TCOOFF {0;}';
    eval 'sub TCOON {1;}';
    eval 'sub TCIOFF {2;}';
    eval 'sub TCION {3;}';
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub tIOC {(ord(\'t\')<<8);}';
    }
    if (!defined &_SYS_TTOLD_H) {
	if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	    eval 'sub TIOCGETD {( &tIOC|0);}';
	    eval 'sub TIOCSETD {( &tIOC|1);}';
	    eval 'sub TIOCHPCL {( &tIOC|2);}';
	    eval 'sub TIOCGETP {( &tIOC|8);}';
	    eval 'sub TIOCSETP {( &tIOC|9);}';
	    eval 'sub TIOCSETN {( &tIOC|10);}';
	    eval 'sub TIOCEXCL {( &tIOC|13);}';
	    eval 'sub TIOCNXCL {( &tIOC|14);}';
	    eval 'sub TIOCFLUSH {( &tIOC|16);}';
	    eval 'sub TIOCSETC {( &tIOC|17);}';
	    eval 'sub TIOCGETC {( &tIOC|18);}';
	    eval 'sub TIOCLBIS {( &tIOC|127);}';
	    eval 'sub TIOCLBIC {( &tIOC|126);}';
	    eval 'sub TIOCLSET {( &tIOC|125);}';
	    eval 'sub TIOCLGET {( &tIOC|124);}';
	    eval 'sub TIOCSBRK {( &tIOC|123);}';
	    eval 'sub TIOCCBRK {( &tIOC|122);}';
	    eval 'sub TIOCSDTR {( &tIOC|121);}';
	    eval 'sub TIOCCDTR {( &tIOC|120);}';
	    eval 'sub TIOCSLTC {( &tIOC|117);}';
	    eval 'sub TIOCGLTC {( &tIOC|116);}';
	    eval 'sub TIOCOUTQ {( &tIOC|115);}';
	    eval 'sub TIOCNOTTY {( &tIOC|113);}';
	    eval 'sub TIOCSTOP {( &tIOC|111);}';
	    eval 'sub TIOCSTART {( &tIOC|110);}';
	}
    }
    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	eval 'sub TIOCGPGRP {( &tIOC|20);}';
	eval 'sub TIOCSPGRP {( &tIOC|21);}';
	eval 'sub TIOCGSID {( &tIOC|22);}';
	eval 'sub TIOCSSID {( &tIOC|24);}';
	eval 'sub TIOCSTI {( &tIOC|23);}';
	eval 'sub TIOCMSET {( &tIOC|26);}';
	eval 'sub TIOCMBIS {( &tIOC|27);}';
	eval 'sub TIOCMBIC {( &tIOC|28);}';
	eval 'sub TIOCMGET {( &tIOC|29);}';
	eval 'sub TIOCM_LE {0001;}';
	eval 'sub TIOCM_DTR {0002;}';
	eval 'sub TIOCM_RTS {0004;}';
	eval 'sub TIOCM_ST {0010;}';
	eval 'sub TIOCM_SR {0020;}';
	eval 'sub TIOCM_CTS {0040;}';
	eval 'sub TIOCM_CAR {0100;}';
	eval 'sub TIOCM_CD { &TIOCM_CAR;}';
	eval 'sub TIOCM_RNG {0200;}';
	eval 'sub TIOCM_RI { &TIOCM_RNG;}';
	eval 'sub TIOCM_DSR {0400;}';
	eval 'sub TIOCREMOTE {( &tIOC|30);}';
	eval 'sub TIOCSIGNAL {( &tIOC|31);}';
	eval 'sub LDIOC {(ord(\'D\')<<8);}';
	eval 'sub LDOPEN {( &LDIOC|0);}';
	eval 'sub LDCLOSE {( &LDIOC|1);}';
	eval 'sub LDCHG {( &LDIOC|2);}';
	eval 'sub LDGETT {( &LDIOC|8);}';
	eval 'sub LDSETT {( &LDIOC|9);}';
	eval 'sub LDSMAP {( &LDIOC|110);}';
	eval 'sub LDGMAP {( &LDIOC|111);}';
	eval 'sub LDNMAP {( &LDIOC|112);}';
	eval 'sub LDEMAP {( &LDIOC|113);}';
	eval 'sub LDDMAP {( &LDIOC|114);}';
	eval 'sub DIOC {(ord(\'d\')<<8);}';
	eval 'sub DIOCGETP {( &DIOC|8);}';
	eval 'sub DIOCSETP {( &DIOC|9);}';
	eval 'sub FIORDCHK {((ord(\'f\')<<8)|3);}';
    }
    eval 'sub B0 {0;}';
    eval 'sub B50 {1;}';
    eval 'sub B75 {2;}';
    eval 'sub B110 {3;}';
    eval 'sub B134 {4;}';
    eval 'sub B150 {5;}';
    eval 'sub B200 {6;}';
    eval 'sub B300 {7;}';
    eval 'sub B600 {8;}';
    eval 'sub B1200 {9;}';
    eval 'sub B1800 {10;}';
    eval 'sub B2400 {11;}';
    eval 'sub B4800 {12;}';
    eval 'sub B9600 {13;}';
    eval 'sub B19200 {14;}';
    eval 'sub B38400 {15;}';
    eval 'sub B57600 {16;}';
    eval 'sub B76800 {17;}';
    eval 'sub B115200 {18;}';
    eval 'sub B153600 {19;}';
    eval 'sub B230400 {20;}';
    eval 'sub B307200 {21;}';
    eval 'sub B460800 {22;}';
    if (!defined &_SYS_TTOLD_H) {
	if (!defined &_SYS_PTEM_H) {
	    if ((!defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || defined( &__EXTENSIONS__)) {
	    }
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
