if (!defined &_VM_PAGE_H) {
    eval 'sub _VM_PAGE_H {1;}';
    if (defined &__cplusplus) {
    }
    if (defined( &_KERNEL) || defined( &_KMEMUSER)) {
	if (defined( &_LOCKTEST) || defined( &_MPSTATS)) {
	    eval 'sub SE_DEFAULT { &SE_STAT;}';
	}
	else {
	    eval 'sub SE_DEFAULT { &SE_NOSTAT;}';
	}
    }
    if (defined &DEBUG) {
	eval 'sub VM_STATS {1;}';
    }
    if (defined &VM_STATS) {
	eval 'sub VM_STAT_ADD {
	    local($stat) = @_;
	    eval "($stat)++";
	}';
    }
    else {
	eval 'sub VM_STAT_ADD {
	    local($stat) = @_;
	    eval "";
	}';
    }
    if (defined &_KERNEL) {
	eval 'sub page_struct_lock {
	    local($pp) = @_;
	    eval " &mutex_enter(& &page_llock)";
	}';
	eval 'sub page_struct_unlock {
	    local($pp) = @_;
	    eval " &mutex_exit(& &page_llock)";
	}';
    }
    require 'sys/t_lock.ph';
    require 'vm/hat.ph';
    eval 'sub PAGE_HASHSZ { &page_hashsz;}';
    eval 'sub PAGE_HASHAVELEN {4;}';
    eval 'sub PAGE_HASHVPSHIFT {6;}';
    eval 'sub PAGE_HASH_FUNC {
        local($vp, $off) = @_;
        eval "(((($off) >>  &PAGESHIFT) + (($vp) >>  &PAGE_HASHVPSHIFT)) & ( &PAGE_HASHSZ - 1))";
    }';
    if (defined &_KERNEL) {
	eval 'sub PG_EXCL {0x0001;}';
	eval 'sub PG_WAIT {0x0002;}';
	eval 'sub PG_PHYSCONTIG {0x0004;}';
	eval 'sub PG_MATCH_COLOR {0x0008;}';
	eval 'sub se_trylock {
	    local($lock, $se) = @_;
	    eval "(($se) ==  &SE_EXCL ? ((*$lock) == 0 ? ( &THREAD_KPRI_REQUEST(), ((*($lock)) = -1), 1) : 0) : ((*$lock) >= 0 ? ((*($lock))++, 1) : 0))";
	}';
	eval 'sub se_tryupgrade {
	    local($lock) = @_;
	    eval "(*($lock) == 1 ? ((*($lock)) = -1, 1) : 0)";
	}';
	eval 'sub se_unlock {
	    local($lock) = @_;
	    eval "(*($lock))--";
	}';
	eval 'sub se_nolock {
	    local($x) = @_;
	    eval "(*($x) == 0)";
	}';
	eval 'sub se_assert {
	    local($x) = @_;
	    eval "(*($x) > 0 || *($x) == -1)";
	}';
	eval 'sub se_shared_assert {
	    local($x) = @_;
	    eval "(*($x) > 0)";
	}';
	eval 'sub se_excl_assert {
	    local($x) = @_;
	    eval "(*($x) == -1)";
	}';
	eval 'sub se_shared_lock {
	    local($x) = @_;
	    eval "(*($x) > 0)";
	}';
	eval 'sub PG_FREE_LIST {1;}';
	eval 'sub PG_CACHE_LIST {2;}';
	eval 'sub PG_LIST_TAIL {0;}';
	eval 'sub PG_LIST_HEAD {1;}';
    }
    eval 'sub P_MOD {0x1;}';
    eval 'sub P_REF {0x2;}';
    eval 'sub P_PNC {0x4;}';
    eval 'sub P_TNC {0x8;}';
    eval 'sub P_RO {0x10;}';
    eval 'sub PP_ISMOD {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &  &P_MOD)";
    }';
    eval 'sub PP_ISREF {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &  &P_REF)";
    }';
    eval 'sub PP_ISNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm & ( &P_PNC| &P_TNC))";
    }';
    eval 'sub PP_ISPNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &  &P_PNC)";
    }';
    eval 'sub PP_ISTNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &  &P_TNC)";
    }';
    eval 'sub PP_ISRO {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &  &P_RO)";
    }';
    eval 'sub PP_SETMOD {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |=  &P_MOD)";
    }';
    eval 'sub PP_SETREF {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |=  &P_REF)";
    }';
    eval 'sub PP_SETREFMOD {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |= ( &P_REF| &P_MOD))";
    }';
    eval 'sub PP_SETPNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |=  &P_PNC)";
    }';
    eval 'sub PP_SETTNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |=  &P_TNC)";
    }';
    eval 'sub PP_SETRO {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |=  &P_RO)";
    }';
    eval 'sub PP_SETREFRO {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |= ( &P_REF| &P_RO))";
    }';
    eval 'sub PP_SETREFMODRO {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm |= ( &P_REF| &P_MOD| &P_RO))";
    }';
    eval 'sub PP_CLRMOD {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~ &P_MOD)";
    }';
    eval 'sub PP_CLRREF {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~ &P_REF)";
    }';
    eval 'sub PP_CLRREFMOD {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~( &P_REF| &P_MOD))";
    }';
    eval 'sub PP_CLRPNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~ &P_PNC)";
    }';
    eval 'sub PP_CLRTNC {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~ &P_TNC)";
    }';
    eval 'sub PP_CLRRO {
        local($pp) = @_;
        eval "(($pp)-> &p_nrm &= ~ &P_RO)";
    }';
    if (defined &__cplusplus) {
    }
}
1;
